## org.eclipse.datatools.sqltools.common.ui.preferences
Class ComboFieldEditor

    java.lang.Object
      FieldEditor
          org.eclipse.datatools.sqltools.common.ui.preferences.ComboFieldEditor

    public class ComboFieldEditor

extends FieldEditor

A field editor for a combo box that allows the drop-down selection of one of a list of items.

Constructor Summary
`ComboFieldEditor(java.lang.String name, java.lang.String labelText, java.lang.String[][] entryNamesAndValues, Composite parent)`

Method Summary
`Combo` `getComboBoxControl(Composite parent)` Lazily create and return the Combo control.
`int` `getNumberOfControls()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboFieldEditor

    public ComboFieldEditor(java.lang.String name,
                            java.lang.String labelText,
                            java.lang.String[][] entryNamesAndValues,
                            Composite parent)

Method Detail

### getNumberOfControls

    public int getNumberOfControls()

  See Also:
    `FieldEditor#getNumberOfControls()`

### getComboBoxControl

    public Combo getComboBoxControl(Composite parent)

  Lazily create and return the Combo control.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.